Bug 192006 - Record right offset with aligned wide instructions
Summary: Record right offset with aligned wide instructions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-27 05:33 PST by Dominik Inführ
Modified: 2018-12-08 06:58 PST (History)
10 users (show)

See Also:


Attachments
Patch (6.25 KB, patch)
2018-11-27 05:38 PST, Dominik Inführ
no flags Details | Formatted Diff | Diff
Patch (5.69 KB, patch)
2018-11-27 05:51 PST, Dominik Inführ
no flags Details | Formatted Diff | Diff
Patch (5.09 KB, patch)
2018-11-27 06:03 PST, Dominik Inführ
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.42 MB, application/zip)
2018-11-27 08:22 PST, Build Bot
no flags Details
Patch (5.04 KB, patch)
2018-11-28 00:48 PST, Dominik Inführ
no flags Details | Formatted Diff | Diff
Patch (5.00 KB, patch)
2018-12-07 04:04 PST, Dominik Inführ
no flags Details | Formatted Diff | Diff
Patch (6.86 KB, patch)
2018-12-07 10:45 PST, Dominik Inführ
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Inführ 2018-11-27 05:33:15 PST
Record right offset with aligned wide instructions
Comment 1 Dominik Inführ 2018-11-27 05:38:30 PST
Created attachment 355724 [details]
Patch
Comment 2 Dominik Inführ 2018-11-27 05:51:14 PST
Created attachment 355725 [details]
Patch
Comment 3 Dominik Inführ 2018-11-27 06:03:53 PST
Created attachment 355728 [details]
Patch
Comment 4 Build Bot 2018-11-27 08:22:13 PST
Comment on attachment 355728 [details]
Patch

Attachment 355728 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10166888

New failing tests:
imported/w3c/web-platform-tests/webrtc/simplecall-no-ssrcs.https.html
Comment 5 Build Bot 2018-11-27 08:22:14 PST
Created attachment 355734 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 6 Dominik Inführ 2018-11-28 00:48:09 PST
Created attachment 355858 [details]
Patch
Comment 7 Dominik Inführ 2018-12-07 04:04:55 PST
Created attachment 356798 [details]
Patch
Comment 8 Dominik Inführ 2018-12-07 06:56:27 PST
This patch is now updated to the latest changes in generator/Opcode.rb.
Comment 9 Yusuke Suzuki 2018-12-07 07:34:31 PST
Comment on attachment 356798 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356798&action=review

r=me

> Source/JavaScriptCore/bytecompiler/BytecodeGenerator.cpp:2787
> +    auto inst = m_lastInstruction;
> +    m_staticPropertyAnalyzer.createThis(dst, WTFMove(inst));

By changing the signature of `createThis` from `void createThis(RegisterID* dst, InstructionStream::MutableRef&& instructionRef);` to `void createThis(RegisterID* dst, InstructionStream::MutableRef instructionRef);`,
we do not need `auto inst = m_lastInstruction;` and `WTFMove` here.

> Source/JavaScriptCore/bytecompiler/BytecodeGenerator.cpp:2899
> +    auto inst = m_lastInstruction;
> +    m_staticPropertyAnalyzer.newObject(dst, WTFMove(inst));
> +

Ditto
Comment 10 Dominik Inführ 2018-12-07 10:45:03 PST
Created attachment 356822 [details]
Patch
Comment 11 WebKit Commit Bot 2018-12-08 06:57:59 PST
Comment on attachment 356822 [details]
Patch

Clearing flags on attachment: 356822

Committed r239009: <https://trac.webkit.org/changeset/239009>
Comment 12 WebKit Commit Bot 2018-12-08 06:58:01 PST
All reviewed patches have been landed.  Closing bug.
Comment 13 Radar WebKit Bug Importer 2018-12-08 06:58:28 PST
<rdar://problem/46575214>